<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">
	<Layout name="Preferences">
		<Container type="Form" name="MainForm">
			<Properties>
				<Property name="Text" type="String" resourceID="PreferencesTable.TITLE"/>
				<Property name="Size" type="Size">640,400</Property>
				<Property name="MaximumSize" type="Size">640,400</Property>
				<Property name="MinimumSize" type="Size">640,400</Property>
				<Property name="MaximizeBox" type="Bool">False</Property>
				<Property name="MinimizeBox" type="Bool">False</Property>
				<Property name="StartPosition" type="FormStartPosition">CenterParent</Property>
				<Property name="ShowInTaskbar" type="Bool">False</Property>
				<Property name="FormBorderStyle" type="FormBorderStyle">FixedDialog</Property>
			</Properties>
			<Controls>
				<Control name="ListBox" type="ListBox">
					<Properties>
						<Property name="Size" type="Size">200,310</Property>
						<Property name="Location" type="Point">10,10</Property>
						<ComplexProperty name="ListBoxItems" type="List">
							<Properties>
								<Property name="Item" type="String" resourceID="PreferencesTable.SCANSETTINGS"/>
								<Property name="Item" type="String" resourceID="PreferencesTable.PHOTOLIBRARY"/>
								<Property name="Item" type="String" resourceID="PreferencesTable.SEARCHEDFOLDERS"/>
								<Property name="Item" type="String" resourceID="PreferencesTable.EMAILSCREEN"/>
								<Property name="Item" type="String" resourceID="PreferencesTable.TRANSFERSETTINGS"/>
								<Property name="Item" type="String" resourceID="PreferencesTable.TEMPFILES"/>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control name="OKBtn" type="Button">
					<Properties>
						<Property name="Text" type="String" resourceID="PreferencesTable.OK"/>
						<Property name="Size" type="Size">75,25</Property>
						<Property name="Location" type="Point">375,335</Property>
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">9</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>	
					</Properties>
				</Control>
				<Control name="CancelBtn" type="Button">
					<Properties>
						<Property name="Text" type="String" resourceID="PreferencesTable.CANCEL"/>
						<Property name="Size" type="Size">75,25</Property>
						<Property name="Location" type="Point">460,335</Property>
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">9</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>	
					</Properties>
				</Control>
				<Control name="RestoreBtn" type="Button">
					<Properties>
						<Property name="Text" type="String" resourceID="PreferencesTable.RESTORE"/>
						<Property name="Size" type="Size">75,25</Property>
						<Property name="Location" type="Point">545,335</Property>
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">9</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>	
					</Properties>
				</Control>
			</Controls>

			<!--  SubContainer Panels will be swapped in and out depending -->
			<!--  on which Preferences screen you are on. -->
			<SubContainers>
				<Container type="Panel" name="ScanSettingsPanel" externalName="ScanSettings.ScanSettingsPreferences" scriptName="PrefScanSettings.xml"/>
				<Container type="Panel" name="PhotoLibraryPanel" externalName="PhotoLibrary.PhotoLibraryPreferences" scriptName="PrefPhotoLibrary.xml"/>
				<Container type="Panel" name="SearchedFoldersPanel" externalName="SearchedFolders.SearchedFoldersPreferences" scriptName="PrefSearchedFolders.xml"/>
				<Container type="Panel" name="EmailScreenPanel" externalName="EmailScreen.EmailScreenPreferences" scriptName="PrefEmailScreen.xml"/>
				<Container type="Panel" name="TransferSettingsPanel" externalName="TransferSettings.TransferSettingsPreferences" scriptName="PrefTransferSettings.xml"/>
				<Container type="Panel" name="TempFilesPanel" externalName="TempFiles.TempFilesPreferences" scriptName="PrefTempFiles.xml"/>
			</SubContainers>
		</Container>

		<!--  Restore preferences dialog container -->
		<Container name="PromptRestorePreferences" type="Form">
			<Properties>
				<Property name="Text" type="String" resourceID="PreferencesTable.RESTOREPREF"/>
				<Property name="Size" type="Size">450,220</Property> 
  				<Property name="TopMost" type="Bool">True</Property> 
  				<Property name="Modal" type="Bool">True</Property> 
  				<Property name="FormBorderStyle" type="FormBorderStyle">FixedDialog</Property> 
  				<Property name="MaximizeBox" type="Bool">False</Property> 
  				<Property name="MinimizeBox" type="Bool">False</Property>
  				<Property name="StartPosition" type="FormStartPosition">CenterParent</Property>
  				<Property name="ShowInTaskbar" type="Bool">False</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="WarningLbl">
					<Properties>
						<Property name="Size" type="Size">420,40</Property> 
						<Property name="Location" type="Point">20,10</Property> 
						<Property name="Text" type="String" resourceID="PreferencesTable.RESTOREWARNING"/> 
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="RadioButton" name="RestoreCurrentPageRB">
					<Properties>
						<Property name="Size" type="Size">250,20</Property>
						<Property name="Location" type="Point">20,60</Property>
						<Property name="Text" type="String" resourceID="PreferencesTable.RESTORECURRENT"/> 
						<Property name="Checked" type="Bool">True</Property>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">9</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="RadioButton" name="RestoreAllRB">
					<Properties>
						<Property name="Size" type="Size">250,20</Property>
						<Property name="Location" type="Point">20,85</Property>
						<Property name="Text" type="String" resourceID="PreferencesTable.RESTOREALL"/> 
						<Property name="Checked" type="Bool">False</Property>
						<Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">9</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Button" name="OKBtn">
					<Properties>
						<Property name="Size" type="Size">70,25</Property> 
						<Property name="Location" type="Point">260,155</Property> 
						<Property name="Text" type="String" resourceID="PreferencesTable.OK"/> 
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Button" name="CancelBtn">
					<Properties>
						<Property name="Size" type="Size">70,25</Property> 
						<Property name="Location" type="Point">340,155</Property> 
						<Property name="Text" type="String" resourceID="PreferencesTable.CANCEL"/> 
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
			</Controls>
		</Container>

		<!--  Searching for photos dialog container -->
		<Container name="PromptSearchingForPhotos" type="Form">
			<Properties>
				<Property name="Text" type="String" resourceID="PreferencesTable.SEARCHINGFORPHOTOS"/>
				<Property name="Size" type="Size">450,220</Property> 
  				<Property name="TopMost" type="Bool">True</Property> 
  				<Property name="Modal" type="Bool">True</Property> 
  				<Property name="FormBorderStyle" type="FormBorderStyle">FixedDialog</Property> 
  				<Property name="MaximizeBox" type="Bool">False</Property> 
  				<Property name="MinimizeBox" type="Bool">False</Property>
  				<Property name="StartPosition" type="FormStartPosition">CenterParent</Property>
  				<Property name="ShowInTaskbar" type="Bool">False</Property>
			</Properties>
			<Controls>
				<Control type="Label" name="NowSearchingLbl">
					<Properties>
						<Property name="Size" type="Size">420,40</Property> 
						<Property name="Location" type="Point">20,10</Property> 
						<Property name="Text" type="String" resourceID="PreferencesTable.NOWSEARCHING"/> 
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Label" name="NoteTakeTimeLbl">
					<Properties>
						<Property name="Size" type="Size">420,40</Property> 
						<Property name="Location" type="Point">20,65</Property> 
						<Property name="Text" type="String" resourceID="PreferencesTable.TAKETIME"/> 
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Transparent</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
				<Control type="Button" name="StopBtn">
					<Properties>
						<Property name="Size" type="Size">70,25</Property> 
						<Property name="Location" type="Point">340,155</Property> 
						<Property name="Text" type="String" resourceID="PreferencesTable.STOP"/> 
						<ComplexProperty name="Font" type="Font">
							<Properties>
								<Property name="FontName" type="String">Arial</Property>
								<Property name="Size" type="Float">10</Property>
							</Properties>
						</ComplexProperty>
						<ComplexProperty name="ForeColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">Black</Property>
							</Properties>
						</ComplexProperty> 
						<ComplexProperty name="BackColor" type="Color">
							<Properties>
								<Property name="ColorName" type="String">White</Property>
							</Properties>
						</ComplexProperty>
					</Properties>
				</Control>
			</Controls>
		</Container>
	</Layout>
</AppGui>